﻿' This class allows you to add some Parameters to a Backgroundworker.
' First you have to add the properties to this class, afterwards you
' can pass this Object as a parameter to the BackGroundWorker class.

Public Class Parameters

    Private parameters As New Hashtable

    Default Public Property parameter(ByVal name As String) As Object
        Get
            Return parameters.Item(name)
        End Get
        Set(ByVal value As Object)
            If parameters.ContainsKey(name) Then
                parameters.Item(name) = value
            Else
                parameters.Add(name, value)
            End If
        End Set
    End Property
End Class
